Portfolio

Direct overview breakdown by asset class

GET/portfolio/graphs/direct-overview/class

Returns chart data showing how the direct-investment portfolio is distributed across asset classes at the given valuation date.

Query parameters

  • pre_datestring (date-time)#
  • currencystringRequired#
  • investor_idnumber | null#

Responses

200
[
  {
    "type": "string",
    "value": 1
  }
]
422

Validation error

Examples

curl https://your-org-domain/kong/core/api/v2/portfolio/graphs/direct-overview/class?currency={currency}\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"